---
title: "Query all tax information in the store"

doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/order/tax/query-all-tax-information-in-the-store'
  md: 'https://developer.shopline.com/docs/admin-rest-api/order/tax/query-all-tax-information-in-the-store.md'
---
# Query all tax information in the store

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_shipping`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /countries.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `read_shipping`

## Request

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `countries`

  array<object>

  Tax list

  * `id`

    string

    Store dimension national id

  * `name`

    string

    National name

  * `provinces`

    array<object>

    Province information

    * `name`

      string

      Province name

    * `tax`

      string

      Tax value

    * `tax_name`

      string

      Tax name

    * `tax_percentage`

      string

      Tax percentage value

    * `code`

      string

      Province code

    * `country_id`

      string

      National id

    * `id`

      string

      id

  * `tax`

    string

    Tax value

  * `tax_name`

    string

    Tax name

  * `code`

    string

    National code

  * `custom_tax_info`

    array<object>

    Custom tax information

    * `type`

      string

      Tax type

    * `country`

      object

      Country

      * `tax_name`

        string

        Tax name

      * `code`

        string

        National code

      * `name`

        string

        National name

      * `provinces`

        array<object>

        Province information

      * `tax`

        string

        Tax value

    * `name`

      string

      Custom tax name

    * `product_category_id`

      string

      Product classification id


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "externalDocs": {
    "description": "Permission point used by the interface is `read_shipping` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "7DxaqoPn",
  "parameters": [
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API. Please refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then put the obtained access token into the API request header in Bearer Token.",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "countries": {
                "name": "countries",
                "description": "Tax list",
                "type": "array",
                "items": {
                  "name": "countries",
                  "description": "Tax list",
                  "type": "object",
                  "properties": {
                    "id": {
                      "name": "id",
                      "description": "Store dimension national id",
                      "type": "string",
                      "example": "4220"
                    },
                    "name": {
                      "name": "name",
                      "description": "National name",
                      "type": "string",
                      "example": "USA"
                    },
                    "provinces": {
                      "name": "provinces",
                      "description": "Province information",
                      "type": "array",
                      "items": {
                        "name": "provinces",
                        "description": "Province information",
                        "type": "object",
                        "properties": {
                          "name": {
                            "name": "name",
                            "description": "Province name",
                            "type": "string",
                            "example": "Washington"
                          },
                          "tax": {
                            "name": "tax",
                            "description": "Tax value",
                            "type": "string",
                            "example": "0.05"
                          },
                          "tax_name": {
                            "name": "tax_name",
                            "description": "Tax name",
                            "type": "string",
                            "example": "VAT"
                          },
                          "tax_percentage": {
                            "name": "tax_percentage",
                            "description": "Tax percentage value",
                            "type": "string",
                            "example": "5%"
                          },
                          "code": {
                            "name": "code",
                            "description": "Province code",
                            "type": "string",
                            "example": "AJ"
                          },
                          "country_id": {
                            "name": "country_id",
                            "description": "National id",
                            "type": "string",
                            "example": "1232332"
                          },
                          "id": {
                            "name": "id",
                            "description": "id",
                            "type": "string",
                            "example": "12323"
                          }
                        },
                        "example": {
                          "name": "Washington",
                          "tax": "0.05",
                          "tax_name": "VAT",
                          "tax_percentage": "5%",
                          "code": "AJ",
                          "country_id": "1232332",
                          "id": "12323"
                        }
                      },
                      "example": [
                        {
                          "code": "AJ",
                          "country_id": "1232332",
                          "id": "12323",
                          "name": "Washington",
                          "tax": "0.05",
                          "tax_name": "VAT",
                          "tax_percentage": "5%"
                        }
                      ]
                    },
                    "tax": {
                      "name": "tax",
                      "description": "Tax value",
                      "type": "string",
                      "example": "0.05"
                    },
                    "tax_name": {
                      "name": "tax_name",
                      "description": "Tax name",
                      "type": "string",
                      "example": "VAT"
                    },
                    "code": {
                      "name": "code",
                      "description": "National code",
                      "type": "string",
                      "example": "US"
                    },
                    "custom_tax_info": {
                      "name": "custom_tax_info",
                      "description": "Custom tax information",
                      "type": "array",
                      "items": {
                        "name": "custom_tax_info",
                        "description": "Custom tax information",
                        "type": "object",
                        "properties": {
                          "type": {
                            "name": "type",
                            "description": "Tax type",
                            "type": "string",
                            "example": "product_category"
                          },
                          "country": {
                            "name": "country",
                            "description": "Country",
                            "type": "object",
                            "properties": {
                              "tax_name": {
                                "name": "tax_name",
                                "description": "Tax name",
                                "type": "string",
                                "example": "VAT"
                              },
                              "code": {
                                "name": "code",
                                "description": "National code",
                                "type": "string",
                                "example": "US"
                              },
                              "name": {
                                "name": "name",
                                "description": "National name",
                                "type": "string",
                                "example": "USA"
                              },
                              "provinces": {
                                "name": "provinces",
                                "description": "Province information",
                                "type": "array",
                                "items": {
                                  "name": "provinces",
                                  "description": "Province information",
                                  "type": "object",
                                  "properties": {
                                    "country_id": {
                                      "name": "country_id",
                                      "description": "National id",
                                      "type": "string",
                                      "example": "1213231"
                                    },
                                    "id": {
                                      "name": "id",
                                      "description": "id",
                                      "type": "string",
                                      "example": "12323"
                                    },
                                    "name": {
                                      "name": "name",
                                      "description": "Province name",
                                      "type": "string",
                                      "example": "Washington"
                                    },
                                    "tax": {
                                      "name": "tax",
                                      "description": "Tax value",
                                      "type": "string",
                                      "example": "0.05"
                                    },
                                    "tax_name": {
                                      "name": "tax_name",
                                      "description": "Tax name",
                                      "type": "string",
                                      "example": "VAT"
                                    },
                                    "tax_percentage": {
                                      "name": "tax_percentage",
                                      "description": "Tax percentage value",
                                      "type": "string",
                                      "example": "5%"
                                    },
                                    "code": {
                                      "name": "code",
                                      "description": "Province code",
                                      "type": "string",
                                      "example": "AJ"
                                    }
                                  },
                                  "example": {
                                    "country_id": "1213231",
                                    "id": "12323",
                                    "name": "Washington",
                                    "tax": "0.05",
                                    "tax_name": "VAT",
                                    "tax_percentage": "5%",
                                    "code": "AJ"
                                  }
                                },
                                "example": [
                                  {
                                    "id": "12323",
                                    "name": "Washington",
                                    "tax": "0.05",
                                    "tax_name": "VAT",
                                    "tax_percentage": "5%",
                                    "code": "AJ",
                                    "country_id": "1213231"
                                  }
                                ]
                              },
                              "tax": {
                                "name": "tax",
                                "description": "Tax value",
                                "type": "string",
                                "example": "0.05"
                              }
                            },
                            "example": {
                              "provinces": [
                                {
                                  "tax": "0.05",
                                  "tax_name": "VAT",
                                  "tax_percentage": "5%",
                                  "code": "AJ",
                                  "country_id": "1213231",
                                  "id": "12323",
                                  "name": "Washington"
                                }
                              ],
                              "tax": "0.05",
                              "tax_name": "VAT",
                              "code": "US",
                              "name": "USA"
                            }
                          },
                          "name": {
                            "name": "name",
                            "description": "Custom tax name",
                            "type": "string",
                            "example": "Product classification 1"
                          },
                          "product_category_id": {
                            "name": "product_category_id",
                            "description": "Product classification id",
                            "type": "string",
                            "example": "1231232311"
                          }
                        },
                        "example": {
                          "name": "Product classification 1",
                          "product_category_id": "1231232311",
                          "type": "product_category",
                          "country": {
                            "tax": "0.05",
                            "tax_name": "VAT",
                            "code": "US",
                            "name": "USA",
                            "provinces": [
                              {
                                "country_id": "1213231",
                                "id": "12323",
                                "name": "Washington",
                                "tax": "0.05",
                                "tax_name": "VAT",
                                "tax_percentage": "5%",
                                "code": "AJ"
                              }
                            ]
                          }
                        }
                      },
                      "example": [
                        {
                          "type": "product_category",
                          "country": {
                            "tax_name": "VAT",
                            "code": "US",
                            "name": "USA",
                            "provinces": [
                              {
                                "code": "AJ",
                                "country_id": "1213231",
                                "id": "12323",
                                "name": "Washington",
                                "tax": "0.05",
                                "tax_name": "VAT",
                                "tax_percentage": "5%"
                              }
                            ],
                            "tax": "0.05"
                          },
                          "name": "Product classification 1",
                          "product_category_id": "1231232311"
                        }
                      ]
                    }
                  },
                  "example": {
                    "code": "US",
                    "custom_tax_info": [
                      {
                        "type": "product_category",
                        "country": {
                          "tax": "0.05",
                          "tax_name": "VAT",
                          "code": "US",
                          "name": "USA",
                          "provinces": [
                            {
                              "code": "AJ",
                              "country_id": "1213231",
                              "id": "12323",
                              "name": "Washington",
                              "tax": "0.05",
                              "tax_name": "VAT",
                              "tax_percentage": "5%"
                            }
                          ]
                        },
                        "name": "Product classification 1",
                        "product_category_id": "1231232311"
                      }
                    ],
                    "id": "4220",
                    "name": "USA",
                    "provinces": [
                      {
                        "code": "AJ",
                        "country_id": "1232332",
                        "id": "12323",
                        "name": "Washington",
                        "tax": "0.05",
                        "tax_name": "VAT",
                        "tax_percentage": "5%"
                      }
                    ],
                    "tax": "0.05",
                    "tax_name": "VAT"
                  }
                },
                "example": [
                  {
                    "tax_name": "VAT",
                    "code": "US",
                    "custom_tax_info": [
                      {
                        "product_category_id": "1231232311",
                        "type": "product_category",
                        "country": {
                          "name": "USA",
                          "provinces": [
                            {
                              "country_id": "1213231",
                              "id": "12323",
                              "name": "Washington",
                              "tax": "0.05",
                              "tax_name": "VAT",
                              "tax_percentage": "5%",
                              "code": "AJ"
                            }
                          ],
                          "tax": "0.05",
                          "tax_name": "VAT",
                          "code": "US"
                        },
                        "name": "Product classification 1"
                      }
                    ],
                    "id": "4220",
                    "name": "USA",
                    "provinces": [
                      {
                        "name": "Washington",
                        "tax": "0.05",
                        "tax_name": "VAT",
                        "tax_percentage": "5%",
                        "code": "AJ",
                        "country_id": "1232332",
                        "id": "12323"
                      }
                    ],
                    "tax": "0.05"
                  }
                ]
              }
            },
            "example": {
              "countries": [
                {
                  "code": "US",
                  "custom_tax_info": [
                    {
                      "type": "product_category",
                      "country": {
                        "name": "USA",
                        "provinces": [
                          {
                            "id": "12323",
                            "name": "Washington",
                            "tax": "0.05",
                            "tax_name": "VAT",
                            "tax_percentage": "5%",
                            "code": "AJ",
                            "country_id": "1213231"
                          }
                        ],
                        "tax": "0.05",
                        "tax_name": "VAT",
                        "code": "US"
                      },
                      "name": "Product classification 1",
                      "product_category_id": "1231232311"
                    }
                  ],
                  "id": "4220",
                  "name": "USA",
                  "provinces": [
                    {
                      "id": "12323",
                      "name": "Washington",
                      "tax": "0.05",
                      "tax_name": "VAT",
                      "tax_percentage": "5%",
                      "code": "AJ",
                      "country_id": "1232332"
                    }
                  ],
                  "tax": "0.05",
                  "tax_name": "VAT"
                }
              ]
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/countries.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Query all tax information in the store",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_shipping"
  ]
}
```